[arch-commits] Commit in nodejs/repos (4 files)
Evangelos Foutras
foutrelis at gemini.archlinux.org
Sun Nov 21 21:42:14 UTC 2021
Date: Sunday, November 21, 2021 @ 21:42:14
Author: foutrelis
Revision: 1054037
archrelease: copy trunk to community-staging-x86_64
Added:
nodejs/repos/community-staging-x86_64/
nodejs/repos/community-staging-x86_64/PKGBUILD
(from rev 1054036, nodejs/trunk/PKGBUILD)
nodejs/repos/community-staging-x86_64/rebuild.list
(from rev 1054036, nodejs/trunk/rebuild.list)
nodejs/repos/community-staging-x86_64/system-c-ares.patch
(from rev 1054036, nodejs/trunk/system-c-ares.patch)
---------------------+
PKGBUILD | 63 ++++++++++++++++++++++++++++++++++++++++++++
rebuild.list | 2 +
system-c-ares.patch | 71 ++++++++++++++++++++++++++++++++++++++++++++++++++
3 files changed, 136 insertions(+)
Copied: nodejs/repos/community-staging-x86_64/PKGBUILD (from rev 1054036, nodejs/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD (rev 0)
+++ community-staging-x86_64/PKGBUILD 2021-11-21 21:42:14 UTC (rev 1054037)
@@ -0,0 +1,63 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=17.1.0
+pkgrel=2
+pkgdesc='Evented I/O for V8 javascript'
+arch=('x86_64')
+url='https://nodejs.org/'
+license=('MIT')
+depends=('openssl' 'zlib' 'icu' 'libuv' 'libnghttp2' 'c-ares') # 'http-parser' 'v8')
+makedepends=('python' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+source=("https://github.com/nodejs/node/archive/v$pkgver/nodejs-$pkgver.tar.gz"
+ system-c-ares.patch)
+sha512sums=('a61e64e7a99df79ece7591a48b631024e2668de25dfc8f5abc0cf36f85994b599e091e7f3be8ce57d3d732ad9be531ec7b7153a64b3b9df8a49e77846700b895'
+ 'bca85b5a4622b38f20f3787bdb2784db76cd4b213fadf8a5813a375080e7481c4aff7556712d59df3e19849a7eb6b2f048a69b4e2162cb717ab1b3a791d2558e')
+
+prepare() {
+ cd node-$pkgver
+ patch -Rp1 -i ../system-c-ares.patch
+}
+
+build() {
+ cd node-$pkgver
+
+ ./configure \
+ --prefix=/usr \
+ --with-intl=system-icu \
+ --without-npm \
+ --shared-openssl \
+ --shared-zlib \
+ --shared-libuv \
+ --experimental-http-parser \
+ --shared-nghttp2 \
+ --shared-cares
+ # --shared-v8
+ # --shared-http-parser
+
+ make
+}
+
+check() {
+ cd node-$pkgver
+ make test || :
+}
+
+package() {
+ cd node-$pkgver
+
+ make DESTDIR="$pkgdir" install
+
+ install -D -m644 LICENSE \
+ "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:
Copied: nodejs/repos/community-staging-x86_64/rebuild.list (from rev 1054036, nodejs/trunk/rebuild.list)
===================================================================
--- community-staging-x86_64/rebuild.list (rev 0)
+++ community-staging-x86_64/rebuild.list 2021-11-21 21:42:14 UTC (rev 1054037)
@@ -0,0 +1,2 @@
+apm
+bash-language-server
Copied: nodejs/repos/community-staging-x86_64/system-c-ares.patch (from rev 1054036, nodejs/trunk/system-c-ares.patch)
===================================================================
--- community-staging-x86_64/system-c-ares.patch (rev 0)
+++ community-staging-x86_64/system-c-ares.patch 2021-11-21 21:42:14 UTC (rev 1054037)
@@ -0,0 +1,71 @@
+From 0bfb8ec19adf2106c505f3e0a97c99b81694524b Mon Sep 17 00:00:00 2001
+From: Beth Griggs <bgriggs at redhat.com>
+Date: Tue, 10 Aug 2021 10:10:09 +0100
+Subject: [PATCH] deps: update c-ares to 1.17.2
+
+Refs: https://github.com/c-ares/c-ares/releases/tag/cares-1_17_2
+---
+ deps/cares/RELEASE-NOTES | 121 +++--
+ deps/cares/cares.gyp | 2 +-
+ deps/cares/include/ares.h | 2 +-
+ deps/cares/include/ares_version.h | 4 +-
+ .../cares/src/lib/ares__parse_into_addrinfo.c | 16 +-
+ deps/cares/src/lib/ares__sortaddrinfo.c | 4 +
+ deps/cares/src/lib/ares_create_query.c | 17 +-
+ deps/cares/src/lib/ares_expand_name.c | 137 ++++-
+ deps/cares/src/lib/ares_expand_string.c | 7 +-
+ deps/cares/src/lib/ares_free_hostent.c | 10 +-
+ deps/cares/src/lib/ares_freeaddrinfo.c | 2 +
+ deps/cares/src/lib/ares_getaddrinfo.c | 24 +-
+ deps/cares/src/lib/ares_gethostbyaddr.c | 10 +-
+ deps/cares/src/lib/ares_gethostbyname.c | 10 +-
+ deps/cares/src/lib/ares_getnameinfo.c | 10 +-
+ deps/cares/src/lib/ares_init.c | 88 +++-
+ deps/cares/src/lib/ares_library_init.c | 9 +-
+ deps/cares/src/lib/ares_library_init.h | 2 +-
+ deps/cares/src/lib/ares_nameser.h | 482 ++++++++++++++++++
+ deps/cares/src/lib/ares_parse_a_reply.c | 14 +-
+ deps/cares/src/lib/ares_parse_aaaa_reply.c | 14 +-
+ deps/cares/src/lib/ares_parse_caa_reply.c | 14 +-
+ deps/cares/src/lib/ares_parse_mx_reply.c | 10 +-
+ deps/cares/src/lib/ares_parse_naptr_reply.c | 15 +-
+ deps/cares/src/lib/ares_parse_ns_reply.c | 16 +-
+ deps/cares/src/lib/ares_parse_ptr_reply.c | 99 ++--
+ deps/cares/src/lib/ares_parse_soa_reply.c | 24 +-
+ deps/cares/src/lib/ares_parse_srv_reply.c | 15 +-
+ deps/cares/src/lib/ares_parse_txt_reply.c | 10 +-
+ deps/cares/src/lib/ares_private.h | 6 +-
+ deps/cares/src/lib/ares_process.c | 11 +-
+ deps/cares/src/lib/ares_query.c | 10 +-
+ deps/cares/src/lib/ares_send.c | 10 +-
+ deps/cares/src/lib/ares_setup.h | 5 +-
+ deps/cares/src/lib/ares_strsplit.c | 4 +
+ deps/cares/src/lib/inet_net_pton.c | 10 +-
+ deps/cares/src/lib/inet_ntop.c | 10 +-
+ deps/cares/src/lib/nameser.h | 218 --------
+ src/cares_wrap.h | 10 +-
+ 39 files changed, 889 insertions(+), 593 deletions(-)
+ create mode 100644 deps/cares/src/lib/ares_nameser.h
+ delete mode 100644 deps/cares/src/lib/nameser.h
+
+diff --git a/src/cares_wrap.h b/src/cares_wrap.h
+index aee46a935b3a..60f99e65edf3 100644
+--- a/src/cares_wrap.h
++++ b/src/cares_wrap.h
+@@ -22,15 +22,7 @@
+ # include <netdb.h>
+ #endif // __POSIX__
+
+-#if defined(__ANDROID__) || \
+- defined(__MINGW32__) || \
+- defined(__OpenBSD__) || \
+- defined(_MSC_VER)
+-
+-# include <nameser.h>
+-#else
+-# include <arpa/nameser.h>
+-#endif
++# include <ares_nameser.h>
+
+ namespace node {
+ namespace cares_wrap {
More information about the arch-commits
mailing list